Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2aed::/16
First address
2aed::
Last address
2aed:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2aed:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.e.a.2.ip6.arpa
Split into smaller subnets/32

2aed::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
12aed::/322aed:0:ffff:ffff:ffff:ffff:ffff:ffff
22aed:1::/322aed:1:ffff:ffff:ffff:ffff:ffff:ffff
32aed:2::/322aed:2:ffff:ffff:ffff:ffff:ffff:ffff
42aed:3::/322aed:3:ffff:ffff:ffff:ffff:ffff:ffff
52aed:4::/322aed:4:ffff:ffff:ffff:ffff:ffff:ffff
62aed:5::/322aed:5:ffff:ffff:ffff:ffff:ffff:ffff
72aed:6::/322aed:6:ffff:ffff:ffff:ffff:ffff:ffff
82aed:7::/322aed:7:ffff:ffff:ffff:ffff:ffff:ffff
92aed:8::/322aed:8:ffff:ffff:ffff:ffff:ffff:ffff
102aed:9::/322aed:9:ffff:ffff:ffff:ffff:ffff:ffff
112aed:a::/322aed:a:ffff:ffff:ffff:ffff:ffff:ffff
122aed:b::/322aed:b:ffff:ffff:ffff:ffff:ffff:ffff
132aed:c::/322aed:c:ffff:ffff:ffff:ffff:ffff:ffff
142aed:d::/322aed:d:ffff:ffff:ffff:ffff:ffff:ffff
152aed:e::/322aed:e:ffff:ffff:ffff:ffff:ffff:ffff
162aed:f::/322aed:f:ffff:ffff:ffff:ffff:ffff:ffff
172aed:10::/322aed:10:ffff:ffff:ffff:ffff:ffff:ffff
182aed:11::/322aed:11:ffff:ffff:ffff:ffff:ffff:ffff
192aed:12::/322aed:12:ffff:ffff:ffff:ffff:ffff:ffff
202aed:13::/322aed:13:ffff:ffff:ffff:ffff:ffff:ffff
212aed:14::/322aed:14:ffff:ffff:ffff:ffff:ffff:ffff
222aed:15::/322aed:15:ffff:ffff:ffff:ffff:ffff:ffff
232aed:16::/322aed:16:ffff:ffff:ffff:ffff:ffff:ffff
242aed:17::/322aed:17:ffff:ffff:ffff:ffff:ffff:ffff
252aed:18::/322aed:18:ffff:ffff:ffff:ffff:ffff:ffff
262aed:19::/322aed:19:ffff:ffff:ffff:ffff:ffff:ffff
272aed:1a::/322aed:1a:ffff:ffff:ffff:ffff:ffff:ffff
282aed:1b::/322aed:1b:ffff:ffff:ffff:ffff:ffff:ffff
292aed:1c::/322aed:1c:ffff:ffff:ffff:ffff:ffff:ffff
302aed:1d::/322aed:1d:ffff:ffff:ffff:ffff:ffff:ffff
312aed:1e::/322aed:1e:ffff:ffff:ffff:ffff:ffff:ffff
322aed:1f::/322aed:1f:ffff:ffff:ffff:ffff:ffff:ffff
332aed:20::/322aed:20:ffff:ffff:ffff:ffff:ffff:ffff
342aed:21::/322aed:21:ffff:ffff:ffff:ffff:ffff:ffff
352aed:22::/322aed:22:ffff:ffff:ffff:ffff:ffff:ffff
362aed:23::/322aed:23:ffff:ffff:ffff:ffff:ffff:ffff
372aed:24::/322aed:24:ffff:ffff:ffff:ffff:ffff:ffff
382aed:25::/322aed:25:ffff:ffff:ffff:ffff:ffff:ffff
392aed:26::/322aed:26:ffff:ffff:ffff:ffff:ffff:ffff
402aed:27::/322aed:27:ffff:ffff:ffff:ffff:ffff:ffff
412aed:28::/322aed:28:ffff:ffff:ffff:ffff:ffff:ffff
422aed:29::/322aed:29:ffff:ffff:ffff:ffff:ffff:ffff
432aed:2a::/322aed:2a:ffff:ffff:ffff:ffff:ffff:ffff
442aed:2b::/322aed:2b:ffff:ffff:ffff:ffff:ffff:ffff
452aed:2c::/322aed:2c:ffff:ffff:ffff:ffff:ffff:ffff
462aed:2d::/322aed:2d:ffff:ffff:ffff:ffff:ffff:ffff
472aed:2e::/322aed:2e:ffff:ffff:ffff:ffff:ffff:ffff
482aed:2f::/322aed:2f:ffff:ffff:ffff:ffff:ffff:ffff
492aed:30::/322aed:30:ffff:ffff:ffff:ffff:ffff:ffff
502aed:31::/322aed:31:ffff:ffff:ffff:ffff:ffff:ffff
512aed:32::/322aed:32:ffff:ffff:ffff:ffff:ffff:ffff
522aed:33::/322aed:33:ffff:ffff:ffff:ffff:ffff:ffff
532aed:34::/322aed:34:ffff:ffff:ffff:ffff:ffff:ffff
542aed:35::/322aed:35:ffff:ffff:ffff:ffff:ffff:ffff
552aed:36::/322aed:36:ffff:ffff:ffff:ffff:ffff:ffff
562aed:37::/322aed:37:ffff:ffff:ffff:ffff:ffff:ffff
572aed:38::/322aed:38:ffff:ffff:ffff:ffff:ffff:ffff
582aed:39::/322aed:39:ffff:ffff:ffff:ffff:ffff:ffff
592aed:3a::/322aed:3a:ffff:ffff:ffff:ffff:ffff:ffff
602aed:3b::/322aed:3b:ffff:ffff:ffff:ffff:ffff:ffff
612aed:3c::/322aed:3c:ffff:ffff:ffff:ffff:ffff:ffff
622aed:3d::/322aed:3d:ffff:ffff:ffff:ffff:ffff:ffff
632aed:3e::/322aed:3e:ffff:ffff:ffff:ffff:ffff:ffff
642aed:3f::/322aed:3f:ffff:ffff:ffff:ffff:ffff:ffff
652aed:40::/322aed:40:ffff:ffff:ffff:ffff:ffff:ffff
662aed:41::/322aed:41:ffff:ffff:ffff:ffff:ffff:ffff
672aed:42::/322aed:42:ffff:ffff:ffff:ffff:ffff:ffff
682aed:43::/322aed:43:ffff:ffff:ffff:ffff:ffff:ffff
692aed:44::/322aed:44:ffff:ffff:ffff:ffff:ffff:ffff
702aed:45::/322aed:45:ffff:ffff:ffff:ffff:ffff:ffff
712aed:46::/322aed:46:ffff:ffff:ffff:ffff:ffff:ffff
722aed:47::/322aed:47:ffff:ffff:ffff:ffff:ffff:ffff
732aed:48::/322aed:48:ffff:ffff:ffff:ffff:ffff:ffff
742aed:49::/322aed:49:ffff:ffff:ffff:ffff:ffff:ffff
752aed:4a::/322aed:4a:ffff:ffff:ffff:ffff:ffff:ffff
762aed:4b::/322aed:4b:ffff:ffff:ffff:ffff:ffff:ffff
772aed:4c::/322aed:4c:ffff:ffff:ffff:ffff:ffff:ffff
782aed:4d::/322aed:4d:ffff:ffff:ffff:ffff:ffff:ffff
792aed:4e::/322aed:4e:ffff:ffff:ffff:ffff:ffff:ffff
802aed:4f::/322aed:4f:ffff:ffff:ffff:ffff:ffff:ffff
812aed:50::/322aed:50:ffff:ffff:ffff:ffff:ffff:ffff
822aed:51::/322aed:51:ffff:ffff:ffff:ffff:ffff:ffff
832aed:52::/322aed:52:ffff:ffff:ffff:ffff:ffff:ffff
842aed:53::/322aed:53:ffff:ffff:ffff:ffff:ffff:ffff
852aed:54::/322aed:54:ffff:ffff:ffff:ffff:ffff:ffff
862aed:55::/322aed:55:ffff:ffff:ffff:ffff:ffff:ffff
872aed:56::/322aed:56:ffff:ffff:ffff:ffff:ffff:ffff
882aed:57::/322aed:57:ffff:ffff:ffff:ffff:ffff:ffff
892aed:58::/322aed:58:ffff:ffff:ffff:ffff:ffff:ffff
902aed:59::/322aed:59:ffff:ffff:ffff:ffff:ffff:ffff
912aed:5a::/322aed:5a:ffff:ffff:ffff:ffff:ffff:ffff
922aed:5b::/322aed:5b:ffff:ffff:ffff:ffff:ffff:ffff
932aed:5c::/322aed:5c:ffff:ffff:ffff:ffff:ffff:ffff
942aed:5d::/322aed:5d:ffff:ffff:ffff:ffff:ffff:ffff
952aed:5e::/322aed:5e:ffff:ffff:ffff:ffff:ffff:ffff
962aed:5f::/322aed:5f:ffff:ffff:ffff:ffff:ffff:ffff
972aed:60::/322aed:60:ffff:ffff:ffff:ffff:ffff:ffff
982aed:61::/322aed:61:ffff:ffff:ffff:ffff:ffff:ffff
992aed:62::/322aed:62:ffff:ffff:ffff:ffff:ffff:ffff
1002aed:63::/322aed:63:ffff:ffff:ffff:ffff:ffff:ffff
1012aed:64::/322aed:64:ffff:ffff:ffff:ffff:ffff:ffff
1022aed:65::/322aed:65:ffff:ffff:ffff:ffff:ffff:ffff
1032aed:66::/322aed:66:ffff:ffff:ffff:ffff:ffff:ffff
1042aed:67::/322aed:67:ffff:ffff:ffff:ffff:ffff:ffff
1052aed:68::/322aed:68:ffff:ffff:ffff:ffff:ffff:ffff
1062aed:69::/322aed:69:ffff:ffff:ffff:ffff:ffff:ffff
1072aed:6a::/322aed:6a:ffff:ffff:ffff:ffff:ffff:ffff
1082aed:6b::/322aed:6b:ffff:ffff:ffff:ffff:ffff:ffff
1092aed:6c::/322aed:6c:ffff:ffff:ffff:ffff:ffff:ffff
1102aed:6d::/322aed:6d:ffff:ffff:ffff:ffff:ffff:ffff
1112aed:6e::/322aed:6e:ffff:ffff:ffff:ffff:ffff:ffff
1122aed:6f::/322aed:6f:ffff:ffff:ffff:ffff:ffff:ffff
1132aed:70::/322aed:70:ffff:ffff:ffff:ffff:ffff:ffff
1142aed:71::/322aed:71:ffff:ffff:ffff:ffff:ffff:ffff
1152aed:72::/322aed:72:ffff:ffff:ffff:ffff:ffff:ffff
1162aed:73::/322aed:73:ffff:ffff:ffff:ffff:ffff:ffff
1172aed:74::/322aed:74:ffff:ffff:ffff:ffff:ffff:ffff
1182aed:75::/322aed:75:ffff:ffff:ffff:ffff:ffff:ffff
1192aed:76::/322aed:76:ffff:ffff:ffff:ffff:ffff:ffff
1202aed:77::/322aed:77:ffff:ffff:ffff:ffff:ffff:ffff
1212aed:78::/322aed:78:ffff:ffff:ffff:ffff:ffff:ffff
1222aed:79::/322aed:79:ffff:ffff:ffff:ffff:ffff:ffff
1232aed:7a::/322aed:7a:ffff:ffff:ffff:ffff:ffff:ffff
1242aed:7b::/322aed:7b:ffff:ffff:ffff:ffff:ffff:ffff
1252aed:7c::/322aed:7c:ffff:ffff:ffff:ffff:ffff:ffff
1262aed:7d::/322aed:7d:ffff:ffff:ffff:ffff:ffff:ffff
1272aed:7e::/322aed:7e:ffff:ffff:ffff:ffff:ffff:ffff
1282aed:7f::/322aed:7f:ffff:ffff:ffff:ffff:ffff:ffff
1292aed:80::/322aed:80:ffff:ffff:ffff:ffff:ffff:ffff
1302aed:81::/322aed:81:ffff:ffff:ffff:ffff:ffff:ffff
1312aed:82::/322aed:82:ffff:ffff:ffff:ffff:ffff:ffff
1322aed:83::/322aed:83:ffff:ffff:ffff:ffff:ffff:ffff
1332aed:84::/322aed:84:ffff:ffff:ffff:ffff:ffff:ffff
1342aed:85::/322aed:85:ffff:ffff:ffff:ffff:ffff:ffff
1352aed:86::/322aed:86:ffff:ffff:ffff:ffff:ffff:ffff
1362aed:87::/322aed:87:ffff:ffff:ffff:ffff:ffff:ffff
1372aed:88::/322aed:88:ffff:ffff:ffff:ffff:ffff:ffff
1382aed:89::/322aed:89:ffff:ffff:ffff:ffff:ffff:ffff
1392aed:8a::/322aed:8a:ffff:ffff:ffff:ffff:ffff:ffff
1402aed:8b::/322aed:8b:ffff:ffff:ffff:ffff:ffff:ffff
1412aed:8c::/322aed:8c:ffff:ffff:ffff:ffff:ffff:ffff
1422aed:8d::/322aed:8d:ffff:ffff:ffff:ffff:ffff:ffff
1432aed:8e::/322aed:8e:ffff:ffff:ffff:ffff:ffff:ffff
1442aed:8f::/322aed:8f:ffff:ffff:ffff:ffff:ffff:ffff
1452aed:90::/322aed:90:ffff:ffff:ffff:ffff:ffff:ffff
1462aed:91::/322aed:91:ffff:ffff:ffff:ffff:ffff:ffff
1472aed:92::/322aed:92:ffff:ffff:ffff:ffff:ffff:ffff
1482aed:93::/322aed:93:ffff:ffff:ffff:ffff:ffff:ffff
1492aed:94::/322aed:94:ffff:ffff:ffff:ffff:ffff:ffff
1502aed:95::/322aed:95:ffff:ffff:ffff:ffff:ffff:ffff
1512aed:96::/322aed:96:ffff:ffff:ffff:ffff:ffff:ffff
1522aed:97::/322aed:97:ffff:ffff:ffff:ffff:ffff:ffff
1532aed:98::/322aed:98:ffff:ffff:ffff:ffff:ffff:ffff
1542aed:99::/322aed:99:ffff:ffff:ffff:ffff:ffff:ffff
1552aed:9a::/322aed:9a:ffff:ffff:ffff:ffff:ffff:ffff
1562aed:9b::/322aed:9b:ffff:ffff:ffff:ffff:ffff:ffff
1572aed:9c::/322aed:9c:ffff:ffff:ffff:ffff:ffff:ffff
1582aed:9d::/322aed:9d:ffff:ffff:ffff:ffff:ffff:ffff
1592aed:9e::/322aed:9e:ffff:ffff:ffff:ffff:ffff:ffff
1602aed:9f::/322aed:9f:ffff:ffff:ffff:ffff:ffff:ffff
1612aed:a0::/322aed:a0:ffff:ffff:ffff:ffff:ffff:ffff
1622aed:a1::/322aed:a1:ffff:ffff:ffff:ffff:ffff:ffff
1632aed:a2::/322aed:a2:ffff:ffff:ffff:ffff:ffff:ffff
1642aed:a3::/322aed:a3:ffff:ffff:ffff:ffff:ffff:ffff
1652aed:a4::/322aed:a4:ffff:ffff:ffff:ffff:ffff:ffff
1662aed:a5::/322aed:a5:ffff:ffff:ffff:ffff:ffff:ffff
1672aed:a6::/322aed:a6:ffff:ffff:ffff:ffff:ffff:ffff
1682aed:a7::/322aed:a7:ffff:ffff:ffff:ffff:ffff:ffff
1692aed:a8::/322aed:a8:ffff:ffff:ffff:ffff:ffff:ffff
1702aed:a9::/322aed:a9:ffff:ffff:ffff:ffff:ffff:ffff
1712aed:aa::/322aed:aa:ffff:ffff:ffff:ffff:ffff:ffff
1722aed:ab::/322aed:ab:ffff:ffff:ffff:ffff:ffff:ffff
1732aed:ac::/322aed:ac:ffff:ffff:ffff:ffff:ffff:ffff
1742aed:ad::/322aed:ad:ffff:ffff:ffff:ffff:ffff:ffff
1752aed:ae::/322aed:ae:ffff:ffff:ffff:ffff:ffff:ffff
1762aed:af::/322aed:af:ffff:ffff:ffff:ffff:ffff:ffff
1772aed:b0::/322aed:b0:ffff:ffff:ffff:ffff:ffff:ffff
1782aed:b1::/322aed:b1:ffff:ffff:ffff:ffff:ffff:ffff
1792aed:b2::/322aed:b2:ffff:ffff:ffff:ffff:ffff:ffff
1802aed:b3::/322aed:b3:ffff:ffff:ffff:ffff:ffff:ffff
1812aed:b4::/322aed:b4:ffff:ffff:ffff:ffff:ffff:ffff
1822aed:b5::/322aed:b5:ffff:ffff:ffff:ffff:ffff:ffff
1832aed:b6::/322aed:b6:ffff:ffff:ffff:ffff:ffff:ffff
1842aed:b7::/322aed:b7:ffff:ffff:ffff:ffff:ffff:ffff
1852aed:b8::/322aed:b8:ffff:ffff:ffff:ffff:ffff:ffff
1862aed:b9::/322aed:b9:ffff:ffff:ffff:ffff:ffff:ffff
1872aed:ba::/322aed:ba:ffff:ffff:ffff:ffff:ffff:ffff
1882aed:bb::/322aed:bb:ffff:ffff:ffff:ffff:ffff:ffff
1892aed:bc::/322aed:bc:ffff:ffff:ffff:ffff:ffff:ffff
1902aed:bd::/322aed:bd:ffff:ffff:ffff:ffff:ffff:ffff
1912aed:be::/322aed:be:ffff:ffff:ffff:ffff:ffff:ffff
1922aed:bf::/322aed:bf:ffff:ffff:ffff:ffff:ffff:ffff
1932aed:c0::/322aed:c0:ffff:ffff:ffff:ffff:ffff:ffff
1942aed:c1::/322aed:c1:ffff:ffff:ffff:ffff:ffff:ffff
1952aed:c2::/322aed:c2:ffff:ffff:ffff:ffff:ffff:ffff
1962aed:c3::/322aed:c3:ffff:ffff:ffff:ffff:ffff:ffff
1972aed:c4::/322aed:c4:ffff:ffff:ffff:ffff:ffff:ffff
1982aed:c5::/322aed:c5:ffff:ffff:ffff:ffff:ffff:ffff
1992aed:c6::/322aed:c6:ffff:ffff:ffff:ffff:ffff:ffff
2002aed:c7::/322aed:c7:ffff:ffff:ffff:ffff:ffff:ffff
2012aed:c8::/322aed:c8:ffff:ffff:ffff:ffff:ffff:ffff
2022aed:c9::/322aed:c9:ffff:ffff:ffff:ffff:ffff:ffff
2032aed:ca::/322aed:ca:ffff:ffff:ffff:ffff:ffff:ffff
2042aed:cb::/322aed:cb:ffff:ffff:ffff:ffff:ffff:ffff
2052aed:cc::/322aed:cc:ffff:ffff:ffff:ffff:ffff:ffff
2062aed:cd::/322aed:cd:ffff:ffff:ffff:ffff:ffff:ffff
2072aed:ce::/322aed:ce:ffff:ffff:ffff:ffff:ffff:ffff
2082aed:cf::/322aed:cf:ffff:ffff:ffff:ffff:ffff:ffff
2092aed:d0::/322aed:d0:ffff:ffff:ffff:ffff:ffff:ffff
2102aed:d1::/322aed:d1:ffff:ffff:ffff:ffff:ffff:ffff
2112aed:d2::/322aed:d2:ffff:ffff:ffff:ffff:ffff:ffff
2122aed:d3::/322aed:d3:ffff:ffff:ffff:ffff:ffff:ffff
2132aed:d4::/322aed:d4:ffff:ffff:ffff:ffff:ffff:ffff
2142aed:d5::/322aed:d5:ffff:ffff:ffff:ffff:ffff:ffff
2152aed:d6::/322aed:d6:ffff:ffff:ffff:ffff:ffff:ffff
2162aed:d7::/322aed:d7:ffff:ffff:ffff:ffff:ffff:ffff
2172aed:d8::/322aed:d8:ffff:ffff:ffff:ffff:ffff:ffff
2182aed:d9::/322aed:d9:ffff:ffff:ffff:ffff:ffff:ffff
2192aed:da::/322aed:da:ffff:ffff:ffff:ffff:ffff:ffff
2202aed:db::/322aed:db:ffff:ffff:ffff:ffff:ffff:ffff
2212aed:dc::/322aed:dc:ffff:ffff:ffff:ffff:ffff:ffff
2222aed:dd::/322aed:dd:ffff:ffff:ffff:ffff:ffff:ffff
2232aed:de::/322aed:de:ffff:ffff:ffff:ffff:ffff:ffff
2242aed:df::/322aed:df:ffff:ffff:ffff:ffff:ffff:ffff
2252aed:e0::/322aed:e0:ffff:ffff:ffff:ffff:ffff:ffff
2262aed:e1::/322aed:e1:ffff:ffff:ffff:ffff:ffff:ffff
2272aed:e2::/322aed:e2:ffff:ffff:ffff:ffff:ffff:ffff
2282aed:e3::/322aed:e3:ffff:ffff:ffff:ffff:ffff:ffff
2292aed:e4::/322aed:e4:ffff:ffff:ffff:ffff:ffff:ffff
2302aed:e5::/322aed:e5:ffff:ffff:ffff:ffff:ffff:ffff
2312aed:e6::/322aed:e6:ffff:ffff:ffff:ffff:ffff:ffff
2322aed:e7::/322aed:e7:ffff:ffff:ffff:ffff:ffff:ffff
2332aed:e8::/322aed:e8:ffff:ffff:ffff:ffff:ffff:ffff
2342aed:e9::/322aed:e9:ffff:ffff:ffff:ffff:ffff:ffff
2352aed:ea::/322aed:ea:ffff:ffff:ffff:ffff:ffff:ffff
2362aed:eb::/322aed:eb:ffff:ffff:ffff:ffff:ffff:ffff
2372aed:ec::/322aed:ec:ffff:ffff:ffff:ffff:ffff:ffff
2382aed:ed::/322aed:ed:ffff:ffff:ffff:ffff:ffff:ffff
2392aed:ee::/322aed:ee:ffff:ffff:ffff:ffff:ffff:ffff
2402aed:ef::/322aed:ef:ffff:ffff:ffff:ffff:ffff:ffff
2412aed:f0::/322aed:f0:ffff:ffff:ffff:ffff:ffff:ffff
2422aed:f1::/322aed:f1:ffff:ffff:ffff:ffff:ffff:ffff
2432aed:f2::/322aed:f2:ffff:ffff:ffff:ffff:ffff:ffff
2442aed:f3::/322aed:f3:ffff:ffff:ffff:ffff:ffff:ffff
2452aed:f4::/322aed:f4:ffff:ffff:ffff:ffff:ffff:ffff
2462aed:f5::/322aed:f5:ffff:ffff:ffff:ffff:ffff:ffff
2472aed:f6::/322aed:f6:ffff:ffff:ffff:ffff:ffff:ffff
2482aed:f7::/322aed:f7:ffff:ffff:ffff:ffff:ffff:ffff
2492aed:f8::/322aed:f8:ffff:ffff:ffff:ffff:ffff:ffff
2502aed:f9::/322aed:f9:ffff:ffff:ffff:ffff:ffff:ffff
2512aed:fa::/322aed:fa:ffff:ffff:ffff:ffff:ffff:ffff
2522aed:fb::/322aed:fb:ffff:ffff:ffff:ffff:ffff:ffff
2532aed:fc::/322aed:fc:ffff:ffff:ffff:ffff:ffff:ffff
2542aed:fd::/322aed:fd:ffff:ffff:ffff:ffff:ffff:ffff
2552aed:fe::/322aed:fe:ffff:ffff:ffff:ffff:ffff:ffff
2562aed:ff::/322aed:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses